Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractSpinBox.StepEnabledFlag

    java.lang.Object
      java.lang.Enum<QAbstractSpinBox.StepEnabledFlag>
          com.trolltech.qt.gui.QAbstractSpinBox.StepEnabledFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSpinBox.StepEnabledFlag>

Enclosing class:
  QAbstractSpinBox

    public static enum QAbstractSpinBox.StepEnabledFlag

extends java.lang.Enum<QAbstractSpinBox.StepEnabledFlag>
implements QtEnumerator

Press link for info on QAbstractSpinBox.StepEnabledFlag

Enum Constant Summary
`StepDownEnabled` Internal.
`StepNone` Internal.
`StepUpEnabled` Internal.

Method Summary
`static QAbstractSpinBox.StepEnabled` | `createQFlags(QAbstractSpinBox.StepEnabledFlag... values)`
`static QAbstractSpinBox.StepEnabledFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSpinBox.StepEnabledFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSpinBox.StepEnabledFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### StepNone

    public static final QAbstractSpinBox.StepEnabledFlag StepNone

  Internal.

### StepUpEnabled

    public static final QAbstractSpinBox.StepEnabledFlag StepUpEnabled

  Internal.

### StepDownEnabled

    public static final QAbstractSpinBox.StepEnabledFlag StepDownEnabled

  Internal.

Method Detail

### values

    public static final QAbstractSpinBox.StepEnabledFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSpinBox.StepEnabledFlag c : QAbstractSpinBox.StepEnabledFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSpinBox.StepEnabledFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractSpinBox.StepEnabled createQFlags(QAbstractSpinBox.StepEnabledFlag... values)

### resolve

    public static QAbstractSpinBox.StepEnabledFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD